Rails2.0PRでRspecを走らせる

Tsukasa OISHI

 朝のエラーの原因は、JavaScriptMacrosHelperがRails2.0からpluginにキックアウトされるようになったため。Railsコアはできるだけシンプルにするつもりみたい。というわけで、単純だけどRspecの該当モジュールを呼ぶところでコメントアウトしてみた。
 ……んだけどまだうまく動かない。どうも、Rspecもedge版を使わないといけないようだ。なので、edge版を入れてみる。

ruby script/plugin install svn://rubyforge.org/var/svn/rspec/trunk/rspec
ruby script/plugin install svn://rubyforge.org/var/svn/rspec/trunk/rspec_on_rails

 script/generate rspec を忘れずに。これで動きました。